<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="f6ff2fe3-9729-4046-9ea2-afebc2a93eb0" name="Default Changelist" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Python Script" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$/.." />
  </component>
  <component name="ProjectId" id="1abyT4R17M95kTBWh7hxBjmC0uU" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="settings.editor.selected.configurable" value="com.jetbrains.python.configuration.PyActiveSdkModuleConfigurable" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/service" />
      <recent name="$PROJECT_DIR$" />
      <recent name="$PROJECT_DIR$/flask/user_behavior" />
      <recent name="$PROJECT_DIR$/flask/conf" />
    </key>
  </component>
  <component name="RunManager" selected="Python.main">
    <configuration name="company_basic" type="PythonConfigurationType" factoryName="Python" temporary="true" nameIsGenerated="true">
      <module name="recommendation" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$/service" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/service/company_basic.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="company_es" type="PythonConfigurationType" factoryName="Python" temporary="true" nameIsGenerated="true">
      <module name="recommendation" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$/dao" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/dao/company_es.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="main" type="PythonConfigurationType" factoryName="Python" temporary="true" nameIsGenerated="true">
      <module name="recommendation" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/main.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="mod_db" type="PythonConfigurationType" factoryName="Python" temporary="true" nameIsGenerated="true">
      <module name="recommendation" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$/db" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/db/mod_db.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="user_behavior" type="PythonConfigurationType" factoryName="Python" temporary="true" nameIsGenerated="true">
      <module name="recommendation" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$/user_behavior" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/service/user_behavior.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Python.main" />
        <item itemvalue="Python.user_behavior" />
        <item itemvalue="Python.company_basic" />
        <item itemvalue="Python.company_es" />
        <item itemvalue="Python.mod_db" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="f6ff2fe3-9729-4046-9ea2-afebc2a93eb0" name="Default Changelist" comment="" />
      <created>1587018592998</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1587018592998</updated>
      <workItem from="1587018599191" duration="11708000" />
      <workItem from="1587089813878" duration="15522000" />
      <workItem from="1587352427758" duration="7427000" />
      <workItem from="1587433007175" duration="571000" />
      <workItem from="1587437264430" duration="2651000" />
      <workItem from="1588754339665" duration="838000" />
      <workItem from="1589429479087" duration="1372000" />
      <workItem from="1589768009451" duration="397000" />
      <workItem from="1589774185290" duration="40000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="2" />
  </component>
  <component name="WindowStateProjectService">
    <state width="562" height="466" key="DebuggerActiveHint" timestamp="1587029725739">
      <screen x="0" y="23" width="1680" height="972" />
    </state>
    <state width="562" height="466" key="DebuggerActiveHint/0.23.1680.972@0.23.1680.972" timestamp="1587029725739" />
    <state width="914" height="284" key="GridCell.Tab.0.bottom" timestamp="1589768413489">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="1638" height="229" key="GridCell.Tab.0.bottom/0.0.1680.993@0.0.1680.993" timestamp="1587364538708" />
    <state width="914" height="284" key="GridCell.Tab.0.bottom/0.0.1920.1040@0.0.1920.1040" timestamp="1589768413489" />
    <state width="1345" height="260" key="GridCell.Tab.0.bottom/0.23.1680.967@0.23.1680.967" timestamp="1587114865120" />
    <state width="1638" height="229" key="GridCell.Tab.0.bottom/0.23.1680.970@0.23.1680.970" timestamp="1587456914197" />
    <state width="1345" height="321" key="GridCell.Tab.0.bottom/0.23.1680.971@0.23.1680.971" timestamp="1587028755730" />
    <state width="1345" height="321" key="GridCell.Tab.0.bottom/0.23.1680.972@0.23.1680.972" timestamp="1587029936244" />
    <state width="1345" height="321" key="GridCell.Tab.0.bottom/0.23.1680.975@0.23.1680.975" timestamp="1587040846953" />
    <state width="914" height="284" key="GridCell.Tab.0.center" timestamp="1589768413489">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="1638" height="229" key="GridCell.Tab.0.center/0.0.1680.993@0.0.1680.993" timestamp="1587364538707" />
    <state width="914" height="284" key="GridCell.Tab.0.center/0.0.1920.1040@0.0.1920.1040" timestamp="1589768413489" />
    <state width="1345" height="260" key="GridCell.Tab.0.center/0.23.1680.967@0.23.1680.967" timestamp="1587114865119" />
    <state width="1638" height="229" key="GridCell.Tab.0.center/0.23.1680.970@0.23.1680.970" timestamp="1587456914196" />
    <state width="1345" height="321" key="GridCell.Tab.0.center/0.23.1680.971@0.23.1680.971" timestamp="1587028755729" />
    <state width="1345" height="321" key="GridCell.Tab.0.center/0.23.1680.972@0.23.1680.972" timestamp="1587029936243" />
    <state width="1345" height="321" key="GridCell.Tab.0.center/0.23.1680.975@0.23.1680.975" timestamp="1587040846953" />
    <state width="914" height="284" key="GridCell.Tab.0.left" timestamp="1589768413488">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="1638" height="229" key="GridCell.Tab.0.left/0.0.1680.993@0.0.1680.993" timestamp="1587364538706" />
    <state width="914" height="284" key="GridCell.Tab.0.left/0.0.1920.1040@0.0.1920.1040" timestamp="1589768413488" />
    <state width="1345" height="260" key="GridCell.Tab.0.left/0.23.1680.967@0.23.1680.967" timestamp="1587114865119" />
    <state width="1638" height="229" key="GridCell.Tab.0.left/0.23.1680.970@0.23.1680.970" timestamp="1587456914195" />
    <state width="1345" height="321" key="GridCell.Tab.0.left/0.23.1680.971@0.23.1680.971" timestamp="1587028755729" />
    <state width="1345" height="321" key="GridCell.Tab.0.left/0.23.1680.972@0.23.1680.972" timestamp="1587029936243" />
    <state width="1345" height="321" key="GridCell.Tab.0.left/0.23.1680.975@0.23.1680.975" timestamp="1587040846952" />
    <state width="914" height="284" key="GridCell.Tab.0.right" timestamp="1589768413489">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="1638" height="229" key="GridCell.Tab.0.right/0.0.1680.993@0.0.1680.993" timestamp="1587364538707" />
    <state width="914" height="284" key="GridCell.Tab.0.right/0.0.1920.1040@0.0.1920.1040" timestamp="1589768413489" />
    <state width="1345" height="260" key="GridCell.Tab.0.right/0.23.1680.967@0.23.1680.967" timestamp="1587114865120" />
    <state width="1638" height="229" key="GridCell.Tab.0.right/0.23.1680.970@0.23.1680.970" timestamp="1587456914196" />
    <state width="1345" height="321" key="GridCell.Tab.0.right/0.23.1680.971@0.23.1680.971" timestamp="1587028755730" />
    <state width="1345" height="321" key="GridCell.Tab.0.right/0.23.1680.972@0.23.1680.972" timestamp="1587029936244" />
    <state width="1345" height="321" key="GridCell.Tab.0.right/0.23.1680.975@0.23.1680.975" timestamp="1587040846953" />
    <state width="1345" height="321" key="GridCell.Tab.1.bottom" timestamp="1587278560602">
      <screen x="0" y="0" width="1680" height="993" />
    </state>
    <state width="1345" height="321" key="GridCell.Tab.1.bottom/0.0.1680.993@0.0.1680.993" timestamp="1587278560602" />
    <state width="1345" height="321" key="GridCell.Tab.1.bottom/0.23.1680.967@0.23.1680.967" timestamp="1587114256222" />
    <state width="1345" height="321" key="GridCell.Tab.1.bottom/0.23.1680.970@0.23.1680.970" timestamp="1587110175994" />
    <state width="1345" height="321" key="GridCell.Tab.1.bottom/0.23.1680.971@0.23.1680.971" timestamp="1587028755669" />
    <state width="1345" height="321" key="GridCell.Tab.1.bottom/0.23.1680.972@0.23.1680.972" timestamp="1587029940385" />
    <state width="1345" height="321" key="GridCell.Tab.1.bottom/0.23.1680.975@0.23.1680.975" timestamp="1587040846954" />
    <state width="1345" height="321" key="GridCell.Tab.1.center" timestamp="1587278560601">
      <screen x="0" y="0" width="1680" height="993" />
    </state>
    <state width="1345" height="321" key="GridCell.Tab.1.center/0.0.1680.993@0.0.1680.993" timestamp="1587278560601" />
    <state width="1345" height="321" key="GridCell.Tab.1.center/0.23.1680.967@0.23.1680.967" timestamp="1587114256221" />
    <state width="1345" height="321" key="GridCell.Tab.1.center/0.23.1680.970@0.23.1680.970" timestamp="1587110175994" />
    <state width="1345" height="321" key="GridCell.Tab.1.center/0.23.1680.971@0.23.1680.971" timestamp="1587028755669" />
    <state width="1345" height="321" key="GridCell.Tab.1.center/0.23.1680.972@0.23.1680.972" timestamp="1587029940384" />
    <state width="1345" height="321" key="GridCell.Tab.1.center/0.23.1680.975@0.23.1680.975" timestamp="1587040846954" />
    <state width="1345" height="321" key="GridCell.Tab.1.left" timestamp="1587278560601">
      <screen x="0" y="0" width="1680" height="993" />
    </state>
    <state width="1345" height="321" key="GridCell.Tab.1.left/0.0.1680.993@0.0.1680.993" timestamp="1587278560601" />
    <state width="1345" height="321" key="GridCell.Tab.1.left/0.23.1680.967@0.23.1680.967" timestamp="1587114256221" />
    <state width="1345" height="321" key="GridCell.Tab.1.left/0.23.1680.970@0.23.1680.970" timestamp="1587110175993" />
    <state width="1345" height="321" key="GridCell.Tab.1.left/0.23.1680.971@0.23.1680.971" timestamp="1587028755668" />
    <state width="1345" height="321" key="GridCell.Tab.1.left/0.23.1680.972@0.23.1680.972" timestamp="1587029940383" />
    <state width="1345" height="321" key="GridCell.Tab.1.left/0.23.1680.975@0.23.1680.975" timestamp="1587040846954" />
    <state width="1345" height="321" key="GridCell.Tab.1.right" timestamp="1587278560602">
      <screen x="0" y="0" width="1680" height="993" />
    </state>
    <state width="1345" height="321" key="GridCell.Tab.1.right/0.0.1680.993@0.0.1680.993" timestamp="1587278560602" />
    <state width="1345" height="321" key="GridCell.Tab.1.right/0.23.1680.967@0.23.1680.967" timestamp="1587114256221" />
    <state width="1345" height="321" key="GridCell.Tab.1.right/0.23.1680.970@0.23.1680.970" timestamp="1587110175994" />
    <state width="1345" height="321" key="GridCell.Tab.1.right/0.23.1680.971@0.23.1680.971" timestamp="1587028755669" />
    <state width="1345" height="321" key="GridCell.Tab.1.right/0.23.1680.972@0.23.1680.972" timestamp="1587029940384" />
    <state width="1345" height="321" key="GridCell.Tab.1.right/0.23.1680.975@0.23.1680.975" timestamp="1587040846954" />
    <state x="277" y="145" key="SettingsEditor" timestamp="1587030545169">
      <screen x="0" y="23" width="1680" height="970" />
    </state>
    <state x="277" y="145" key="SettingsEditor/0.23.1680.970@0.23.1680.970" timestamp="1587030545169" />
    <state x="592" y="325" key="com.intellij.ide.util.TipDialog" timestamp="1587437264572">
      <screen x="0" y="0" width="1680" height="993" />
    </state>
    <state x="592" y="324" key="com.intellij.ide.util.TipDialog/0.0.1680.990@0.0.1680.990" timestamp="1587433008209" />
    <state x="592" y="325" key="com.intellij.ide.util.TipDialog/0.0.1680.993@0.0.1680.993" timestamp="1587437264572" />
    <state x="592" y="340" key="com.intellij.ide.util.TipDialog/0.23.1680.970@0.23.1680.970" timestamp="1587089814318" />
    <state x="358" y="235" width="670" height="676" key="search.everywhere.popup" timestamp="1587100778938">
      <screen x="0" y="23" width="1680" height="970" />
    </state>
    <state x="358" y="235" width="670" height="676" key="search.everywhere.popup/0.23.1680.970@0.23.1680.970" timestamp="1587100778938" />
    <state x="498" y="351" key="vcs.readOnlyHandler.ReadOnlyStatusDialog" timestamp="1587024125718">
      <screen x="0" y="23" width="1680" height="971" />
    </state>
    <state x="498" y="351" key="vcs.readOnlyHandler.ReadOnlyStatusDialog/0.23.1680.971@0.23.1680.971" timestamp="1587024125718" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" suspend="THREAD" type="python-line">
          <url>file://$PROJECT_DIR$/db/mod_db.py</url>
          <line>167</line>
          <option name="timeStamp" value="7" />
        </line-breakpoint>
      </breakpoints>
      <default-breakpoints>
        <breakpoint type="python-exception">
          <properties notifyOnTerminate="true" exception="BaseException">
            <option name="notifyOnTerminate" value="true" />
          </properties>
        </breakpoint>
      </default-breakpoints>
    </breakpoint-manager>
  </component>
  <component name="com.intellij.coverage.CoverageDataManagerImpl">
    <SUITE FILE_PATH="coverage/entprofile$main.coverage" NAME="main Coverage Results" MODIFIED="1589774601273" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$" />
    <SUITE FILE_PATH="coverage/recommendation$mod_db.coverage" NAME="mod_db Coverage Results" MODIFIED="1587358120537" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/db" />
    <SUITE FILE_PATH="coverage/recommendation$company_es.coverage" NAME="company_es Coverage Results" MODIFIED="1587358210574" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/dao" />
    <SUITE FILE_PATH="coverage/recommendation$company_basic.coverage" NAME="company_basic Coverage Results" MODIFIED="1587363152092" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/service" />
    <SUITE FILE_PATH="coverage/recommendation$main.coverage" NAME="main Coverage Results" MODIFIED="1587437271477" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$" />
    <SUITE FILE_PATH="coverage/recommendation$user_behavior.coverage" NAME="user_behavior Coverage Results" MODIFIED="1587456914187" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/user_behavior" />
  </component>
</project>